summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2022-07-26 20:52:29 +0200
committerFabian Groffen <grobian@gentoo.org>2022-07-27 21:07:20 +0200
commitac9aaac8fb264370a9447f3c0b0a0fce572c8d2a (patch)
treec9c820f1f5259a6d583510feec13feaedfde1ad1
parentbin/ebuild-helpers/doins: fix D check, add EPREFIX check (diff)
downloadportage-ac9aaac8fb264370a9447f3c0b0a0fce572c8d2a.tar.gz
portage-ac9aaac8fb264370a9447f3c0b0a0fce572c8d2a.tar.bz2
portage-ac9aaac8fb264370a9447f3c0b0a0fce572c8d2a.zip
bin/misc-functions.sh: some Prefix fixes
- ED needs not to exist, whereas D does, so ensure we check for that, and create ED if absent, necessary for further checks to succeed - use EPREFIX in INSTALL_MASK Signed-off-by: Fabian Groffen <grobian@gentoo.org>
-rwxr-xr-xbin/misc-functions.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index c8bac08e7..466d21dfd 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -19,6 +19,8 @@ source "${PORTAGE_BIN_PATH}/ebuild.sh" || exit 1
install_symlink_html_docs() {
if ! ___eapi_has_prefix_variables; then
local ED=${D}
+ else
+ [[ ! -d ${ED} && -d ${D} ]] && dodir /
fi
cd "${ED}" || die "cd failed"
# Symlink the html documentation (if DOC_SYMLINKS_DIR is set in make.conf)
@@ -83,7 +85,7 @@ install_qa_check() {
local EPREFIX= ED=${D}
fi
- cd "${ED}" || die "cd failed"
+ cd "${D}" || die "cd failed"
# Collect the paths for QA checks, highest prio first.
paths=(
@@ -367,7 +369,7 @@ preinst_mask() {
local f x
for f in man info doc; do
if has no${f} ${FEATURES}; then
- INSTALL_MASK+=" /usr/share/${f}"
+ INSTALL_MASK+=" ${EPREFIX}/usr/share/${f}"
fi
done